/***************************************************************************
                          connector.cpp  -  description

    provides some information about the connected hosts 
    and their associated parts.

                             -------------------
    begin                : Sat Juli 07 2002
    copyright            : (C) 2002 by mb
    email                : marcus@sqlgui.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include <iostream>
#include <iomanip>

#include "connector.h"

#include <qstring.h>

#include <kparts/part.h>


Connector::Connector( QString u, KParts::ReadOnlyPart *p )
{
  url = new QString(u);
  part = p;
}

Connector::Connector( )
{
  url = NULL;
  part = NULL;
}

Connector::~Connector()
{
  delete url;
}

void Connector::setPart( KParts::ReadOnlyPart *p )
{
  part = p;
}

void Connector::setUrl(QString u)
{
  if(url){delete url;)
  url = new QString( u );
}

QString* Connector::getUrl()
{
  return url;
}

KParts::ReadOnlyPart* Connector::getConnectedPart()
{
  return part;
}

// not implemented yet...
bool isHostConnected( QString h )
{
//   QString *h_txt = new QString("@");
//   h_txt->append(h);
//   return( url->contains( h_txt, false ) );
  return false;
}

bool isURLConnected( QString u )
{
  bool yesno = false;
  if ( u.compare( *url ) == 0 ){
    yesno = true;
  }
  return yesno;

}
