/***************************************************************************
                          db_components.h  -  description
                             -------------------
    begin                : Sun Jun 23 2002
    copyright            : (C) 2002 by 
    email                : 
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef COMPONENTS_H
#define COMPONENTS_H

//
// Structs fr MySQL-Daten, -Ergebnisse, -Tabellen etc.
//
// Liste der Tabellen in einer DB:

// Liste der Spalten einer Tabelle;
typedef
struct spalte{
	const char * name;
	char * type;	 									// Feldtyp
	char pri;									// Lngenangabe zum Typ
	const char * extra_flags; 	// fr INDEX, NOT NULL, AUTO_INC etc.
	struct spalte * next;
} spalten_t;


// Liste der Tabellen einer Datenbank:
typedef
struct table{
	const char * name;
	int type;
	const char * type_n;
	spalten_t * spalten_liste;
	struct table * next;
} table_t;


// Liste der Datenbanken:
typedef
struct base{
	const char * name;
	table_t * table_list;
	struct base * next;
} base_t;


// Darstellung der SQL-Abfrage in Reihen (row) und Spalten (field):
//
// Spalte:
typedef
struct field{
	int length;
	char * value;
	struct field * next;
} field_t;

// Zeile:
typedef
struct row{
	field_t * feld;
	struct row * next;
} row_t;


#endif